<?php
/**
 * The browse view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

$canCreate = hasPriv('thinkwizard', 'create');
$canView   = hasPriv('thinkwizard', 'view');
$canAdmin  = hasPriv('thinkwizard', 'admin');
featureBar();
if($browseType == 'fromRun')
{
    div
    (
        setClass('flex items-center gap-4 p-1.5'),
        backBtn(set::icon('back'), set::type('primary'), set::url(createLink('thinkrun', 'browse', "marketID=$marketID")), $lang->goback),
        span
        (
            setClass('text-gray'),
            icon('exclamation text-warning mr-1'),
            $lang->thinkwizard->tips->select
        )
    );
}

($browseType !== 'fromRun' && $canAdmin) ? toolbar
(
    item(set(array('class' => 'primary mr-2', 'url' => inlink('admin', "marketID=$marketID"), 'text' => $lang->thinkwizard->intoDesign)))
) : null;

$items = array();

$wizards = $this->thinkwizardZen->processWizardActions($marketID, $wizards);
foreach($wizards as $wizard)
{
    $items[] = div
    (
        setClass('w-1/4 p-1.5'),
        div
        (
            setClass('cursor-pointer border border-hover bg-canvas shadow p-2'),
            img(setClass('w-full h-48 object-contain'), set::src($wizard->thumbnail)),
            $canView ? setData(array('url' => inlink('view', "marketID=$marketID&wizardID=$wizard->id&browseType=$browseType"), 'toggle' => 'modal')) : null,
            div
            (
                setClass('p-3 pr-8 h-20 relative'),
                div
                (
                    setClass('text-black text-md text-clip'),
                    set::title($wizard->name),
                    $wizard->status != 'online' ? label
                    (
                        setClass('size-sm rounded m-1'),
                        zget($lang->thinkwizard->statusList, $wizard->status)
                    ) : null,
                    $wizard->name
                ),
                div
                (
                    setClass('text-gray text-sm line-clamp-2 mt-2'),
                    set::title($wizard->desc),
                    $wizard->desc
                ),
            )
        )
    );
}
if(empty($wizards))
{
    div
    (
        setClass('dtable-empty-tip bg-white mx-2'),
        div
        (
            setClass('row gap-4 items-center'),
            div(setClass('text-gray'), $lang->thinkwizard->noWizard),
            ($browseType !== 'fromRun' && $canAdmin) ? a
            (
                setClass('btn primary-pale border-primary'),
                set::href(inlink('admin', "marketID=$marketID")),
                $lang->thinkwizard->intoDesign
            ) : null
        )
    );
}

div(setClass('flex flex-wrap'), $items);

if($wizards) pager(setClass('pull-right'), set(usePager()));
