<?php
/**
 * The create view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

$fields = defineFieldList('thinkwizard.create');

$fields->field('name')
    ->label($lang->thinkwizard->name)
    ->control('input')
    ->required(true)
    ->width('full');

$fields->field('desc')
    ->label($lang->thinkwizard->desc)
    ->control('textarea', array('rows' => 1))
    ->required(true)
    ->width('full');

$fields->field('model')
    ->label($lang->thinkwizard->model)
    ->control('picker', array('required' => false))
    ->required(true)
    ->items($models);

$fields->field('duration')
    ->label($lang->thinkwizard->duration)
    ->control('inputControl', array('type' => 'number', 'min' => 1, 'max' => 255, 'suffix' => $lang->thinkwizard->minute, 'suffixWidth' => 46));

$fields->field('thumbnail')
    ->label($lang->thinkwizard->thumbnail)
    ->control('thumbnail', array('src' => $model ? $model->thumbnail : '', 'tips' => $lang->thinkwizard->tips->uploadThumbnail, 'errorTips' => sprintf($lang->thinkwizard->error->uploadThumbnail, implode($lang->comma, $config->thinkwizard->thumbnailExtensions))))
    ->width('full');

$fields->autoLoad('model', 'thumbnail');

formGridPanel
(
    set::title($title),
    set::loadUrl(inlink('create', "marketID=$marketID&model={model}")),
    set::defaultMode('full'),
    set::modeSwitcher(false),
    set::size('sm'),
    set::submitBtnText($lang->save),
    set::fields($fields)
);
